Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 261568 - sci-libs/amd-2.2.0 fails test suite on x86
Summary: sci-libs/amd-2.2.0 fails test suite on x86
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 245707 318649
  Show dependency tree
 
Reported: 2009-03-07 15:19 UTC by Markus Meier
Modified: 2015-06-21 11:43 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
sci-libs:amd-2.2.0:20090307-150745.log (sci-libs:amd-2.2.0:20090307-150745.log,38.54 KB, text/plain)
2009-03-07 15:18 UTC, Markus Meier
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Meier gentoo-dev 2009-03-07 15:18:50 UTC
Created attachment 184226 [details]
sci-libs:amd-2.2.0:20090307-150745.log
Comment 1 Markus Meier gentoo-dev 2009-03-07 15:19:12 UTC
----------
** Test amd_l_demo FAILED. Diff: 
9c9
<     size of AMD integer: 4
---
>     size of AMD integer: 8
126c126
<     memory used, in bytes:                              1516
---
>     memory used, in bytes:                              3032
 ----------
Test amd_f77demo PASSED.
 ----------
Test amd_f77simple PASSED.
 ----------
Test amd_f77cross PASSED.
 ----------
make[2]: *** [check-local] Error 1
make[2]: Leaving directory `/var/tmp/portage/sci-libs/amd-2.2.0/work/AMD/Demo'
make[1]: *** [check-am] Error 2
make[1]: Leaving directory `/var/tmp/portage/sci-libs/amd-2.2.0/work/AMD/Demo'
make: *** [check-recursive] Error 1
 * 
 * ERROR: sci-libs/amd-2.2.0 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_test
 *             environment, line 2796:  Called _eapi0_src_test
 *               ebuild.sh, line  616:  Called die
 * The specific snippet of code:
 *   			hasq test $FEATURES && die "Make check failed. See above for details."


Portage 2.1.6.7 (default/linux/x86/2008.0/desktop, gcc-4.1.2, glibc-2.8_p20080602-r1, 2.6.28.7 i686)
=================================================================
System uname: Linux-2.6.28.7-i686-Intel-R-_Core-TM-2_Duo_CPU_T8300_@_2.40GHz-with-glibc2.0
Timestamp of tree: Sat, 07 Mar 2009 08:30:03 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7-r1, 2.1.6-r1
dev-lang/python:     2.4.4-r14, 2.5.2-r7
dev-python/pycrypto: 2.0.1-r6
dev-util/cmake:      2.4.8
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /opt/openfire/resources/security/ /opt/openjms/config /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/lib/fax /usr/share/config /var/bind /var/lib/hsqldb /var/spool/fax/etc /var/spool/torque"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="collision-protect distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict test unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS="-Wl,-O1"
LINGUAS="en en_GB de"
MAKEOPTS="-j2"
PKGDIR="/mnt/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi alsa apache2 avahi berkdb bluetooth branding bzip2 cairo cdr cli cracklib crypt cups dbus dri dvd dvdr dvdread eds emboss encode esd evo examples fam firefox fortran gdbm gif gnome gpm gstreamer gtk hal iconv ipv6 isdnlog jpeg kde ldap libnotify mad midi mikmod mp3 mpeg mudflap ncurses nls nptl nptlonly ogg opengl openmp pam pcre pdf perl png ppds pppd python qt3 qt3support qt4 quicktime readline reflection sdl session source spell spl ssl startup-notification svg sysfs tcpd test tiff truetype unicode usb vorbis win32codecs x86 xml xorg xulrunner xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_GB de" USERLAND="GNU" VIDEO_CARDS="fbdev glint i810 intel mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Markus Meier gentoo-dev 2009-03-07 15:29:26 UTC
I guess sci-libs/camd-2.2.0 has a related problem with 32 bit arches:

make[2]: Entering directory `/var/tmp/portage/sci-libs/camd-2.2.0/work/CAMD/Demo'
Testing camd_demo
Testing camd_l_demo
125c125
<     memory used, in bytes:                              3288
---
>     memory used, in bytes:                              1644
Test camd_l_demo failed!
make[2]: *** [check-local] Error 1
make[2]: Leaving directory `/var/tmp/portage/sci-libs/camd-2.2.0/work/CAMD/Demo'
make[1]: *** [check-am] Error 2
make[1]: Leaving directory `/var/tmp/portage/sci-libs/camd-2.2.0/work/CAMD/Demo'
make: *** [check-recursive] Error 1
 * 
 * ERROR: sci-libs/camd-2.2.0 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_test
 *             environment, line 2610:  Called _eapi0_src_test
 *               ebuild.sh, line  616:  Called die
 * The specific snippet of code:
 *   			hasq test $FEATURES && die "Make check failed. See above for details."
Comment 3 Sébastien Fabbro (RETIRED) gentoo-dev 2009-03-09 14:58:07 UTC
These failures are not important, however not robust, so I removed the tests from the suite.
Comment 4 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2011-11-22 07:27:33 UTC
(In reply to comment #3)
> These failures are not important, however not robust, so I removed the tests
> from the suite.

Just got the failure with amd-2.2.0. If you've fixed this in a higher version, please push it to stable.
Comment 5 Toralf Förster gentoo-dev 2012-06-30 19:13:04 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > These failures are not important, however not robust, so I removed the tests
> > from the suite.
> 
> Just got the failure with amd-2.2.0. If you've fixed this in a higher
> version, please push it to stable.

sci-libs/camd-2.2.3  passes tests fine at a stable x86
Comment 6 Justin Lecher gentoo-dev 2015-06-21 11:43:04 UTC
+  21 Jun 2015; Justin Lecher <jlec@gentoo.org> -amd-2.2.0.ebuild,
+  -files/amd-2.2.0-autotools.patch:
+  Clean old; obsoletes bug #261568
+